## ros-galactic-rosidl-runtime-cpp 2.2.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rosidl_runtime_cpp)

find_package(ament_cmake REQUIRED)

add_library(${PROJECT_NAME} INTERFACE)
target_include_directories(${PROJECT_NAME} INTERFACE
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>")

ament_export_include_directories(include)
ament_export_targets(${PROJECT_NAME})

ament_index_register_resource("rosidl_runtime_packages")

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  find_package(performance_test_fixture REQUIRED)
  # Give cppcheck hints about macro definitions coming from outside this package
  get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS
    performance_test_fixture::performance_test_fixture INTERFACE_INCLUDE_DIRECTORIES)

  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)

  # Default to C++14
  if(NOT CMAKE_CXX_STANDARD)
    set(CMAKE_CXX_STANDARD 14)
  endif()

  if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wall -Wextra -Wpedantic)
  endif()

  ament_add_gtest(test_bounded_vector test/test_bounded_vector.cpp)
  if(TARGET test_bounded_vector)
    target_include_directories(test_bounded_vector PUBLIC include)
  endif()

  add_performance_test(benchmark_bounded_vector test/benchmark/benchmark_bounded_vector.cpp)
  if(TARGET benchmark_bounded_vector)
    target_link_libraries(benchmark_bounded_vector ${PROJECT_NAME})
  endif()
endif()

install(
  DIRECTORY include/
  DESTINATION include
)
install(
  TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-galactic-rosidl-runtime-cpp (2.2.3-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 02 Dec 2022 08:00:00 -0000

ros-galactic-rosidl-runtime-cpp (2.2.2-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 28 Apr 2022 07:00:00 -0000

ros-galactic-rosidl-runtime-cpp (2.2.1-1focal) focal; urgency=high

  * updating quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#581 <https://github.com/ros2/rosidl/issues/581>)
  * Contributors: shonigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-rosidl-runtime-cpp (2.2.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-rosidl-runtime-cpp (2.1.0-1focal) focal; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 09 Mar 2021 08:00:00 -0000

ros-galactic-rosidl-runtime-cpp (2.0.3-1focal) focal; urgency=high

  * Fix typo of package name in README heading (#561 <https://github.com/ros2/rosidl/issues/561>)
  * Contributors: Tully Foote

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-rosidl-runtime-cpp (2.0.2-1focal) focal; urgency=high

  * Update and add package.xml descriptions to README (#553 <https://github.com/ros2/rosidl/issues/553>)
  * Fix item number in QD (#546 <https://github.com/ros2/rosidl/issues/546>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Louise Poubel, Shane Loretz

 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 08 Dec 2020 08:00:00 -0000

ros-galactic-rosidl-runtime-cpp (2.0.1-1focal) focal; urgency=high

  * QD: Add links to hosted API docs (#533 <https://github.com/ros2/rosidl/issues/533>)
  * Updated Quality Level to 1 (#532 <https://github.com/ros2/rosidl/issues/532>)
  * Add benchmarks for rosidl_runtime_* packages (#521 <https://github.com/ros2/rosidl/issues/521>)
  * Contributors: Alejandro Hernández Cordero, Louise Poubel, Scott K Logan

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 28 Sep 2020 07:00:00 -0000

ros-galactic-rosidl-runtime-cpp (2.0.0-1focal) focal; urgency=high

  * Add to_yaml() function for C++ messages (#527 <https://github.com/ros2/rosidl/issues/527>)
  * Contributors: Devin Bonnie, Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 24 Sep 2020 07:00:00 -0000

ros-galactic-rosidl-runtime-cpp (1.1.0-1focal) focal; urgency=high

  * Add function for getting a types fully qualified name (#514 <https://github.com/ros2/rosidl/issues/514>)
  * Fix misuses of input iterators in BoundedVector (#493 <https://github.com/ros2/rosidl/issues/493>)
  * Update QD to reflect QL 2 statuses (#499 <https://github.com/ros2/rosidl/issues/499>)
  * Contributors: Jacob Perron, Jonathan Wakely, Stephen Brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 17 Aug 2020 07:00:00 -0000

ros-galactic-rosidl-runtime-cpp (1.0.1-1focal) focal; urgency=high

  * Fix move assignment of bounded vector (#496 <https://github.com/ros2/rosidl/issues/496>)
  * Fix bug inserting bounded_vector in reverse order (#444 <https://github.com/ros2/rosidl/issues/444>)
  * Add Security Vulnerability Policy pointing to REP-2006 (#494 <https://github.com/ros2/rosidl/issues/494>)
  * QD Update Version Stability to stable version (#495 <https://github.com/ros2/rosidl/issues/495>)
  * Contributors: Alejandro Hernández Cordero, Chris Lalancette, Jacob Perron, Carlos San Vicente

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 03 Jun 2020 07:00:00 -0000

ros-galactic-rosidl-runtime-cpp (1.0.0-1focal) focal; urgency=high

  * Clean up BoundedVector (#487 <https://github.com/ros2/rosidl/issues/487>)
  * Contributors: Jonathan Wakely

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 22 May 2020 07:00:00 -0000

ros-galactic-rosidl-runtime-cpp (0.9.2-1focal) focal; urgency=high

  * Update API documentation (#488 <https://github.com/ros2/rosidl/issues/488>)
  * Add tests (#484 <https://github.com/ros2/rosidl/issues/484>)
  * Add feature documentation (#482 <https://github.com/ros2/rosidl/issues/482>)
  * Contributors: brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 19 May 2020 07:00:00 -0000

ros-galactic-rosidl-runtime-cpp (0.9.1-1focal) focal; urgency=high

  * move test which only uses rosidl_runtime_cpp into that package (#481 <https://github.com/ros2/rosidl/issues/481>)
  * Package READMEs and QUALITY_DECLARATIONS for runtime packages (#480 <https://github.com/ros2/rosidl/issues/480>)
  * Added doxyfile in rosidl_runtime_c and rosidl_runtime_cpp (#474 <https://github.com/ros2/rosidl/issues/474>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas, brawner

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-galactic-rosidl-runtime-cpp (0.9.0-1focal) focal; urgency=high

  * Export targets in a addition to include directories / libraries (#471 <https://github.com/ros2/rosidl/issues/471>)
  * Rename rosidl_runtime_c_message_initialization to rosidl_runtime_c__message_initialization (#464 <https://github.com/ros2/rosidl/issues/464>)
  * Rename rosidl_generator_c 'namespace' to rosidl_runtime_c (#458 <https://github.com/ros2/rosidl/issues/458>)
  * Move rosidl_generator_cpp headers (#456 <https://github.com/ros2/rosidl/issues/456>)
  * Split rosidl_generator_c and rosidl_generator_cpp in two: rosidl_generator_x and rosidl_runtime_x (#442 <https://github.com/ros2/rosidl/issues/442>)
  * Contributors: Alejandro Hernández Cordero, Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 24 Apr 2020 07:00:00 -0000

ros-galactic-rosidl-runtime-cpp (0.8.2-1focal) focal; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 17 Jan 2020 08:00:00 -0000

ros-galactic-rosidl-runtime-cpp (0.8.1-1focal) focal; urgency=high





=== debian/control ===
Source: ros-galactic-rosidl-runtime-cpp
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-gtest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-performance-test-fixture <!nocheck>, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-rosidl-runtime-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-ament-cmake, ros-galactic-ros-workspace
Description: Provides definitions and templated functions for getting and working with rosidl typesupport types in C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-rosidl-runtime-cpp//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
